Subject: vc-mtn broken with monotone 0.48 (can't even open files)

From: Julio Merino <[email-masked]>
Date: Fri, 25 Jun 2010 10:16:35 +0100

The vc-mtn emacs module in emacs 23.2.1 does not work with monotone
0.48.  This prevents editing *any* file tracked by monotone.  Whenever
I attempt to open a file that is tracked by monotone, emacs spits out
the following in the minibuffer and fails to open the file:

Wrong type argument: stringp, nil

The problem is most likely related to some user interface changes that
happened in monotone 0.48: some commands such as 'mtn status' have
changed their output and thus the regular expressions bundled in
vc-mtn do not yield the correct matches.

The fix is to stop using random mtn commands in vc-mtn and change the
code to *only* use subcommands of 'mtn automate'.  'automate' is The
interface to interact with monotone from other applications, because
it exposes a stable interface with well-defined intput/output
semantics.